package com.tongran.rocketmq.service;

import com.tongran.rocketmq.domain.RmNetworkInterfaceChild;

import java.util.List;

/**
 * 客户端网络接口子接口信息Service接口
 * 
 * @author tongran
 * @date 2025-12-15
 */
public interface IRmNetworkInterfaceChildService 
{
    /**
     * 查询客户端网络接口子接口信息
     * 
     * @param id 客户端网络接口子接口信息主键
     * @return 客户端网络接口子接口信息
     */
    public RmNetworkInterfaceChild selectRmNetworkInterfaceChildById(Long id);

    /**
     * 查询客户端网络接口子接口信息列表
     * 
     * @param rmNetworkInterfaceChild 客户端网络接口子接口信息
     * @return 客户端网络接口子接口信息集合
     */
    public List<RmNetworkInterfaceChild> selectRmNetworkInterfaceChildList(RmNetworkInterfaceChild rmNetworkInterfaceChild);

    /**
     * 新增客户端网络接口子接口信息
     * 
     * @param rmNetworkInterfaceChild 客户端网络接口子接口信息
     * @return 结果
     */
    public int insertRmNetworkInterfaceChild(RmNetworkInterfaceChild rmNetworkInterfaceChild);

    /**
     * 修改客户端网络接口子接口信息
     * 
     * @param rmNetworkInterfaceChild 客户端网络接口子接口信息
     * @return 结果
     */
    public int updateRmNetworkInterfaceChild(RmNetworkInterfaceChild rmNetworkInterfaceChild);

    /**
     * 批量删除客户端网络接口子接口信息
     * 
     * @param ids 需要删除的客户端网络接口子接口信息主键集合
     * @return 结果
     */
    public int deleteRmNetworkInterfaceChildByIds(Long[] ids);

    /**
     * 删除客户端网络接口子接口信息信息
     * 
     * @param id 客户端网络接口子接口信息主键
     * @return 结果
     */
    public int deleteRmNetworkInterfaceChildById(Long id);

    void deleteRmNetworkInterfaceChildByClientId(String clientId);

    void deleteByParentInterfaceName(String clientId, String name);
}
